package App::Manoc::DB::Result::Oui;
#ABSTRACT: A model object for storing OUI to vendor associations

use strict;
use warnings;

our $VERSION = '2.99.2'; ##TRIAL VERSION

use parent 'App::Manoc::DB::Result';

__PACKAGE__->table('oui');

# prefix must be lowercase!

__PACKAGE__->add_columns(
    'prefix' => {
        data_type   => 'varchar',
        is_nullable => 0,
        size        => 8
    },
    'vendor' => {
        data_type   => 'varchar',
        is_nullable => 0,
        size        => 64
    },
);

__PACKAGE__->set_primary_key('prefix');

1;

__END__

=pod

=head1 NAME

App::Manoc::DB::Result::Oui - A model object for storing OUI to vendor associations

=head1 VERSION

version 2.99.2

=head1 AUTHORS

=over 4

=item *

Gabriele Mambrini <gmambro@cpan.org>

=item *

Enrico Liguori

=back

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2017 by Gabriele Mambrini.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
