package App::Manoc::Form::TraitFor::Actions;

use HTML::FormHandler::Moose::Role;

our $VERSION = '2.99.2'; ##TRIAL VERSION

has_field 'form_actions' => (
    type           => 'Compound',
    order          => 99,
    widget_wrapper => 'Bootstrap',
    do_wrapper     => 1,
    do_label       => 0
);

has_field 'form_actions.save' => (
    type           => 'Submit',
    widget         => 'ButtonTag',
    element_attr   => { class => [ 'btn', 'btn-primary' ] },
    widget_wrapper => 'None',
    value          => "Save changes"
);

has_field 'form_actions.cancel' => (
    type           => 'Reset',
    widget         => 'ButtonTag',
    element_attr   => { class => ['btn'] },
    widget_wrapper => 'None',
    value          => "Reset"
);
1;
# Local Variables:
# mode: cperl
# indent-tabs-mode: nil
# cperl-indent-level: 4
# cperl-indent-parens-as-block: t
# End:

__END__

=pod

=head1 NAME

App::Manoc::Form::TraitFor::Actions

=head1 VERSION

version 2.99.2

=head1 AUTHORS

=over 4

=item *

Gabriele Mambrini <gmambro@cpan.org>

=item *

Enrico Liguori

=back

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2017 by Gabriele Mambrini.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
