package App::Manoc::ManifoldRole::Hypervisor;
use Moose::Role;

our $VERSION = '2.99.2'; ##TRIAL VERSION

# expected map:
#  - uuid
#  - name
#  - state (optional)
#  - cpus (optional)
#  - memsize (optional)
has 'virtual_machines' => (
    is      => 'ro',
    isa     => 'Maybe[ArrayRef]',
    lazy    => 1,
    builder => '_build_virtual_machines',
);
requires '_build_virtual_machines';

no Moose::Role;
1;
# Local Variables:
# mode: cperl
# indent-tabs-mode: nil
# cperl-indent-level: 4
# cperl-indent-parens-as-block: t
# End:

__END__

=pod

=head1 NAME

App::Manoc::ManifoldRole::Hypervisor

=head1 VERSION

version 2.99.2

=head1 AUTHORS

=over 4

=item *

Gabriele Mambrini <gmambro@cpan.org>

=item *

Enrico Liguori

=back

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2017 by Gabriele Mambrini.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
