package App::Manoc::Search::Widget::Building;

use Moose::Role;

our $VERSION = '2.99.2'; ##TRIAL VERSION

sub render {
    my ( $self, $ctx ) = @_;

    my $url = $ctx->uri_for_action( 'building/view', [ $self->id ] );
    return "<a href=\"$url\">" . $self->name . "</a> " . $self->description;
}

no Moose::Role;
1;

__END__

=pod

=head1 NAME

App::Manoc::Search::Widget::Building

=head1 VERSION

version 2.99.2

=head1 AUTHORS

=over 4

=item *

Gabriele Mambrini <gmambro@cpan.org>

=item *

Enrico Liguori

=back

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2017 by Gabriele Mambrini.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
