package App::Manoc::Search::Widget::MacAddr;

use Moose::Role;

our $VERSION = '2.99.2'; ##TRIAL VERSION

with 'App::Manoc::Search::Widget::Group' => { -exclude => ['render_heading'] };

sub render_heading {
    my ( $self, $ctx ) = @_;

    my $url = $ctx->uri_for_action( '/mac/view', [ $self->addr ] );
    return "<a href=\"$url\">" . $self->addr . '</a>';
}

no Moose::Role;
1;

__END__

=pod

=head1 NAME

App::Manoc::Search::Widget::MacAddr

=head1 VERSION

version 2.99.2

=head1 AUTHORS

=over 4

=item *

Gabriele Mambrini <gmambro@cpan.org>

=item *

Enrico Liguori

=back

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2017 by Gabriele Mambrini.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
