
BEGIN {
  unless ($ENV{AUTHOR_TESTING}) {
    print qq{1..0 # SKIP these tests are for testing by the author\n};
    exit
  }
}

use strict;
use warnings;

# this test was generated with Dist::Zilla::Plugin::Test::NoTabs 0.15

use Test::More 0.88;
use Test::NoTabs;

my @files = (
    'lib/App/Manoc.pm',
    'lib/App/Manoc/ArpSniffer.pm',
    'lib/App/Manoc/CatalystRole/Permission.pm',
    'lib/App/Manoc/CatalystRole/RequestToken.pm',
    'lib/App/Manoc/Controller/APIv1.pm',
    'lib/App/Manoc/Controller/APIv1/DHCPLease.pm',
    'lib/App/Manoc/Controller/APIv1/DHCPReservation.pm',
    'lib/App/Manoc/Controller/APIv1/Ping.pm',
    'lib/App/Manoc/Controller/APIv1/WinLogon.pm',
    'lib/App/Manoc/Controller/APIv1/Workstation.pm',
    'lib/App/Manoc/Controller/About.pm',
    'lib/App/Manoc/Controller/Arp.pm',
    'lib/App/Manoc/Controller/Auth.pm',
    'lib/App/Manoc/Controller/Building.pm',
    'lib/App/Manoc/Controller/DHCPServer.pm',
    'lib/App/Manoc/Controller/DHCPSharedNetwork.pm',
    'lib/App/Manoc/Controller/DHCPSubnet.pm',
    'lib/App/Manoc/Controller/Device.pm',
    'lib/App/Manoc/Controller/DiscoverSession.pm',
    'lib/App/Manoc/Controller/Error.pm',
    'lib/App/Manoc/Controller/Group.pm',
    'lib/App/Manoc/Controller/HWAsset.pm',
    'lib/App/Manoc/Controller/IPBlock.pm',
    'lib/App/Manoc/Controller/IPNetwork.pm',
    'lib/App/Manoc/Controller/Interface.pm',
    'lib/App/Manoc/Controller/Ip.pm',
    'lib/App/Manoc/Controller/Mac.pm',
    'lib/App/Manoc/Controller/MngUrlFormat.pm',
    'lib/App/Manoc/Controller/Query.pm',
    'lib/App/Manoc/Controller/Rack.pm',
    'lib/App/Manoc/Controller/Root.pm',
    'lib/App/Manoc/Controller/Search.pm',
    'lib/App/Manoc/Controller/Server.pm',
    'lib/App/Manoc/Controller/ServerHW.pm',
    'lib/App/Manoc/Controller/SoftwarePkg.pm',
    'lib/App/Manoc/Controller/User.pm',
    'lib/App/Manoc/Controller/VTP.pm',
    'lib/App/Manoc/Controller/VirtualInfr.pm',
    'lib/App/Manoc/Controller/VirtualMachine.pm',
    'lib/App/Manoc/Controller/Vlan.pm',
    'lib/App/Manoc/Controller/VlanRange.pm',
    'lib/App/Manoc/Controller/Warehouse.pm',
    'lib/App/Manoc/Controller/Workstation.pm',
    'lib/App/Manoc/Controller/WorkstationHW.pm',
    'lib/App/Manoc/ControllerRole/CSVView.pm',
    'lib/App/Manoc/ControllerRole/CommonCRUD.pm',
    'lib/App/Manoc/ControllerRole/JQDatatable.pm',
    'lib/App/Manoc/ControllerRole/JSONView.pm',
    'lib/App/Manoc/ControllerRole/Object.pm',
    'lib/App/Manoc/ControllerRole/ObjectForm.pm',
    'lib/App/Manoc/ControllerRole/ObjectList.pm',
    'lib/App/Manoc/ControllerRole/ResultSet.pm',
    'lib/App/Manoc/DB.pm',
    'lib/App/Manoc/DB/Helper/NetwalkerCredentials.pm',
    'lib/App/Manoc/DB/Helper/NetwalkerPoller.pm',
    'lib/App/Manoc/DB/Helper/ResultSet/TupleArchive.pm',
    'lib/App/Manoc/DB/Helper/Row/TupleArchive.pm',
    'lib/App/Manoc/DB/InflateColumn/IPv4.pm',
    'lib/App/Manoc/DB/Result.pm',
    'lib/App/Manoc/DB/Result/Arp.pm',
    'lib/App/Manoc/DB/Result/Building.pm',
    'lib/App/Manoc/DB/Result/CDPNeigh.pm',
    'lib/App/Manoc/DB/Result/Config.pm',
    'lib/App/Manoc/DB/Result/DHCPLease.pm',
    'lib/App/Manoc/DB/Result/DHCPReservation.pm',
    'lib/App/Manoc/DB/Result/DHCPServer.pm',
    'lib/App/Manoc/DB/Result/DHCPSharedNetwork.pm',
    'lib/App/Manoc/DB/Result/DHCPSubnet.pm',
    'lib/App/Manoc/DB/Result/Device.pm',
    'lib/App/Manoc/DB/Result/DeviceConfig.pm',
    'lib/App/Manoc/DB/Result/DeviceNWInfo.pm',
    'lib/App/Manoc/DB/Result/DiscoverSession.pm',
    'lib/App/Manoc/DB/Result/DiscoveredHost.pm',
    'lib/App/Manoc/DB/Result/Dot11Assoc.pm',
    'lib/App/Manoc/DB/Result/Dot11Client.pm',
    'lib/App/Manoc/DB/Result/Group.pm',
    'lib/App/Manoc/DB/Result/GroupRole.pm',
    'lib/App/Manoc/DB/Result/HWAsset.pm',
    'lib/App/Manoc/DB/Result/HostedVm.pm',
    'lib/App/Manoc/DB/Result/IPBlock.pm',
    'lib/App/Manoc/DB/Result/IPNetwork.pm',
    'lib/App/Manoc/DB/Result/IfNotes.pm',
    'lib/App/Manoc/DB/Result/IfStatus.pm',
    'lib/App/Manoc/DB/Result/Ip.pm',
    'lib/App/Manoc/DB/Result/Mat.pm',
    'lib/App/Manoc/DB/Result/MngUrlFormat.pm',
    'lib/App/Manoc/DB/Result/Oui.pm',
    'lib/App/Manoc/DB/Result/Rack.pm',
    'lib/App/Manoc/DB/Result/Role.pm',
    'lib/App/Manoc/DB/Result/SSIDList.pm',
    'lib/App/Manoc/DB/Result/Server.pm',
    'lib/App/Manoc/DB/Result/ServerAddr.pm',
    'lib/App/Manoc/DB/Result/ServerHW.pm',
    'lib/App/Manoc/DB/Result/ServerNIC.pm',
    'lib/App/Manoc/DB/Result/ServerNWInfo.pm',
    'lib/App/Manoc/DB/Result/ServerSWPkg.pm',
    'lib/App/Manoc/DB/Result/Session.pm',
    'lib/App/Manoc/DB/Result/SoftwarePkg.pm',
    'lib/App/Manoc/DB/Result/System.pm',
    'lib/App/Manoc/DB/Result/Uplink.pm',
    'lib/App/Manoc/DB/Result/User.pm',
    'lib/App/Manoc/DB/Result/UserGroup.pm',
    'lib/App/Manoc/DB/Result/UserRole.pm',
    'lib/App/Manoc/DB/Result/VirtualInfr.pm',
    'lib/App/Manoc/DB/Result/VirtualMachine.pm',
    'lib/App/Manoc/DB/Result/Vlan.pm',
    'lib/App/Manoc/DB/Result/VlanRange.pm',
    'lib/App/Manoc/DB/Result/VlanVtp.pm',
    'lib/App/Manoc/DB/Result/Warehouse.pm',
    'lib/App/Manoc/DB/Result/WinHostname.pm',
    'lib/App/Manoc/DB/Result/WinLogon.pm',
    'lib/App/Manoc/DB/Result/Workstation.pm',
    'lib/App/Manoc/DB/Result/WorkstationHW.pm',
    'lib/App/Manoc/DB/Result/WorkstationSWPkg.pm',
    'lib/App/Manoc/DB/ResultSet.pm',
    'lib/App/Manoc/DB/ResultSet/Arp.pm',
    'lib/App/Manoc/DB/ResultSet/DiscoverSession.pm',
    'lib/App/Manoc/DB/ResultSet/HWAsset.pm',
    'lib/App/Manoc/DB/ResultSet/HostedVm.pm',
    'lib/App/Manoc/DB/ResultSet/IPBlock.pm',
    'lib/App/Manoc/DB/ResultSet/IPNetwork.pm',
    'lib/App/Manoc/DB/ResultSet/IfStatus.pm',
    'lib/App/Manoc/DB/ResultSet/Mat.pm',
    'lib/App/Manoc/DB/ResultSet/Server.pm',
    'lib/App/Manoc/DB/ResultSet/ServerHW.pm',
    'lib/App/Manoc/DB/ResultSet/VirtualMachine.pm',
    'lib/App/Manoc/DB/ResultSet/VlanRange.pm',
    'lib/App/Manoc/DB/ResultSet/WinHostname.pm',
    'lib/App/Manoc/DB/ResultSet/WinLogon.pm',
    'lib/App/Manoc/DB/ResultSet/WorkstationHW.pm',
    'lib/App/Manoc/DataDumper.pm',
    'lib/App/Manoc/DataDumper/Converter.pm',
    'lib/App/Manoc/DataDumper/Converter/Base.pm',
    'lib/App/Manoc/DataDumper/Converter/v1.pm',
    'lib/App/Manoc/DataDumper/Converter/v2.pm',
    'lib/App/Manoc/DataDumper/Converter/v3.pm',
    'lib/App/Manoc/DataDumper/Data.pm',
    'lib/App/Manoc/DataDumper/Script.pm',
    'lib/App/Manoc/Form/Base.pm',
    'lib/App/Manoc/Form/Building.pm',
    'lib/App/Manoc/Form/CSVImport.pm',
    'lib/App/Manoc/Form/CSVImport/Server.pm',
    'lib/App/Manoc/Form/CSVImport/ServerHW.pm',
    'lib/App/Manoc/Form/CSVImport/Workstation.pm',
    'lib/App/Manoc/Form/CSVImport/WorkstationHW.pm',
    'lib/App/Manoc/Form/DHCPServer.pm',
    'lib/App/Manoc/Form/DHCPSharedNetwork.pm',
    'lib/App/Manoc/Form/DHCPSubnet.pm',
    'lib/App/Manoc/Form/Device/Decommission.pm',
    'lib/App/Manoc/Form/Device/Edit.pm',
    'lib/App/Manoc/Form/DeviceNWInfo.pm',
    'lib/App/Manoc/Form/DiscoverSession.pm',
    'lib/App/Manoc/Form/Group.pm',
    'lib/App/Manoc/Form/HWAsset.pm',
    'lib/App/Manoc/Form/HWAsset/Location.pm',
    'lib/App/Manoc/Form/Helper.pm',
    'lib/App/Manoc/Form/IPBlock.pm',
    'lib/App/Manoc/Form/IPNetwork.pm',
    'lib/App/Manoc/Form/IfNotes.pm',
    'lib/App/Manoc/Form/Ip.pm',
    'lib/App/Manoc/Form/Login.pm',
    'lib/App/Manoc/Form/MngUrlFormat.pm',
    'lib/App/Manoc/Form/Rack.pm',
    'lib/App/Manoc/Form/Server.pm',
    'lib/App/Manoc/Form/Server/Decommission.pm',
    'lib/App/Manoc/Form/ServerHW.pm',
    'lib/App/Manoc/Form/ServerNWInfo.pm',
    'lib/App/Manoc/Form/TraitFor/Actions.pm',
    'lib/App/Manoc/Form/TraitFor/CSRF.pm',
    'lib/App/Manoc/Form/TraitFor/Horizontal.pm',
    'lib/App/Manoc/Form/TraitFor/IPAddr.pm',
    'lib/App/Manoc/Form/TraitFor/RackOptions.pm',
    'lib/App/Manoc/Form/TraitFor/SaveButton.pm',
    'lib/App/Manoc/Form/TraitFor/Theme.pm',
    'lib/App/Manoc/Form/Types.pm',
    'lib/App/Manoc/Form/Types/VlanID.pm',
    'lib/App/Manoc/Form/Uplink.pm',
    'lib/App/Manoc/Form/User/ChangePassword.pm',
    'lib/App/Manoc/Form/User/Create.pm',
    'lib/App/Manoc/Form/User/Edit.pm',
    'lib/App/Manoc/Form/User/SetPassword.pm',
    'lib/App/Manoc/Form/VirtualInfr.pm',
    'lib/App/Manoc/Form/VirtualMachine.pm',
    'lib/App/Manoc/Form/Vlan.pm',
    'lib/App/Manoc/Form/VlanRange.pm',
    'lib/App/Manoc/Form/VlanRange/Merge.pm',
    'lib/App/Manoc/Form/VlanRange/Split.pm',
    'lib/App/Manoc/Form/Warehouse.pm',
    'lib/App/Manoc/Form/Widget/Repeatable.pm',
    'lib/App/Manoc/Form/Workstation/Decommission.pm',
    'lib/App/Manoc/Form/Workstation/Edit.pm',
    'lib/App/Manoc/Form/WorkstationHW.pm',
    'lib/App/Manoc/IPAddress/IPv4.pm',
    'lib/App/Manoc/IPAddress/IPv4Network.pm',
    'lib/App/Manoc/Logger.pm',
    'lib/App/Manoc/Logger/CatalystRole.pm',
    'lib/App/Manoc/Logger/Role.pm',
    'lib/App/Manoc/Manifold.pm',
    'lib/App/Manoc/Manifold/SNMP/Info.pm',
    'lib/App/Manoc/Manifold/SNMP/Simple.pm',
    'lib/App/Manoc/Manifold/SSH/Fortigate.pm',
    'lib/App/Manoc/Manifold/SSH/Linux.pm',
    'lib/App/Manoc/Manifold/Telnet/IOS.pm',
    'lib/App/Manoc/ManifoldRole/Base.pm',
    'lib/App/Manoc/ManifoldRole/FetchConfig.pm',
    'lib/App/Manoc/ManifoldRole/Host.pm',
    'lib/App/Manoc/ManifoldRole/Hypervisor.pm',
    'lib/App/Manoc/ManifoldRole/NetDevice.pm',
    'lib/App/Manoc/ManifoldRole/SSH.pm',
    'lib/App/Manoc/Model/ManocDB.pm',
    'lib/App/Manoc/Netwalker/Config.pm',
    'lib/App/Manoc/Netwalker/Control.pm',
    'lib/App/Manoc/Netwalker/ControlClient.pm',
    'lib/App/Manoc/Netwalker/Discover/Task.pm',
    'lib/App/Manoc/Netwalker/Discover/Workers.pm',
    'lib/App/Manoc/Netwalker/Poller/BaseTask.pm',
    'lib/App/Manoc/Netwalker/Poller/DeviceTask.pm',
    'lib/App/Manoc/Netwalker/Poller/Scoreboard.pm',
    'lib/App/Manoc/Netwalker/Poller/ServerTask.pm',
    'lib/App/Manoc/Netwalker/Poller/TaskReport.pm',
    'lib/App/Manoc/Netwalker/Poller/Workers.pm',
    'lib/App/Manoc/Netwalker/Scheduler.pm',
    'lib/App/Manoc/Netwalker/Script.pm',
    'lib/App/Manoc/Netwalker/WorkersRole.pm',
    'lib/App/Manoc/Script.pm',
    'lib/App/Manoc/Script/Daemon.pm',
    'lib/App/Manoc/Search.pm',
    'lib/App/Manoc/Search/Driver.pm',
    'lib/App/Manoc/Search/Driver/Arp.pm',
    'lib/App/Manoc/Search/Driver/Building.pm',
    'lib/App/Manoc/Search/Driver/Device.pm',
    'lib/App/Manoc/Search/Driver/HWAsset.pm',
    'lib/App/Manoc/Search/Driver/Hostname.pm',
    'lib/App/Manoc/Search/Driver/IPNetwork.pm',
    'lib/App/Manoc/Search/Driver/IfNotes.pm',
    'lib/App/Manoc/Search/Driver/IfStatus.pm',
    'lib/App/Manoc/Search/Driver/Ip.pm',
    'lib/App/Manoc/Search/Driver/Mat.pm',
    'lib/App/Manoc/Search/Driver/Rack.pm',
    'lib/App/Manoc/Search/Driver/Server.pm',
    'lib/App/Manoc/Search/Driver/VirtualMachine.pm',
    'lib/App/Manoc/Search/Driver/Vlan.pm',
    'lib/App/Manoc/Search/Driver/VlanRange.pm',
    'lib/App/Manoc/Search/Driver/WinLogon.pm',
    'lib/App/Manoc/Search/Engine.pm',
    'lib/App/Manoc/Search/Item.pm',
    'lib/App/Manoc/Search/Item/Building.pm',
    'lib/App/Manoc/Search/Item/Device.pm',
    'lib/App/Manoc/Search/Item/Group.pm',
    'lib/App/Manoc/Search/Item/HWAsset.pm',
    'lib/App/Manoc/Search/Item/Hostname.pm',
    'lib/App/Manoc/Search/Item/IPNetwork.pm',
    'lib/App/Manoc/Search/Item/IPRange.pm',
    'lib/App/Manoc/Search/Item/Iface.pm',
    'lib/App/Manoc/Search/Item/IpAddr.pm',
    'lib/App/Manoc/Search/Item/IpCalc.pm',
    'lib/App/Manoc/Search/Item/MacAddr.pm',
    'lib/App/Manoc/Search/Item/Rack.pm',
    'lib/App/Manoc/Search/Item/Server.pm',
    'lib/App/Manoc/Search/Item/VirtualMachine.pm',
    'lib/App/Manoc/Search/Item/Vlan.pm',
    'lib/App/Manoc/Search/Item/VlanRange.pm',
    'lib/App/Manoc/Search/Item/WinLogon.pm',
    'lib/App/Manoc/Search/Query.pm',
    'lib/App/Manoc/Search/QueryType.pm',
    'lib/App/Manoc/Search/Result.pm',
    'lib/App/Manoc/Search/Widget/ApplyRole.pm',
    'lib/App/Manoc/Search/Widget/Building.pm',
    'lib/App/Manoc/Search/Widget/Device.pm',
    'lib/App/Manoc/Search/Widget/Group.pm',
    'lib/App/Manoc/Search/Widget/HWAsset.pm',
    'lib/App/Manoc/Search/Widget/Hostname.pm',
    'lib/App/Manoc/Search/Widget/IPNetwork.pm',
    'lib/App/Manoc/Search/Widget/IPRange.pm',
    'lib/App/Manoc/Search/Widget/Iface.pm',
    'lib/App/Manoc/Search/Widget/IpAddr.pm',
    'lib/App/Manoc/Search/Widget/IpCalc.pm',
    'lib/App/Manoc/Search/Widget/MacAddr.pm',
    'lib/App/Manoc/Search/Widget/Rack.pm',
    'lib/App/Manoc/Search/Widget/Server.pm',
    'lib/App/Manoc/Search/Widget/VirtualMachine.pm',
    'lib/App/Manoc/Search/Widget/Vlan.pm',
    'lib/App/Manoc/Search/Widget/VlanRange.pm',
    'lib/App/Manoc/Search/Widget/WinLogon.pm',
    'lib/App/Manoc/Support.pm',
    'lib/App/Manoc/Utils.pm',
    'lib/App/Manoc/Utils/Datetime.pm',
    'lib/App/Manoc/Utils/IPAddress.pm',
    'lib/App/Manoc/Utils/Units.pm',
    'lib/App/Manoc/Utils/Validate.pm',
    'lib/App/Manoc/View/CSV.pm',
    'lib/App/Manoc/View/JSON.pm',
    'lib/App/Manoc/View/TT.pm',
    'lib/App/Manoc/View/TT/Plugin/JSON.pm',
    'lib/App/Manoc/View/TT/Plugin/Menu.pm',
    'lib/Catalyst/Helper/Controller/ManocCRUD.pm',
    'lib/Catalyst/Helper/Controller/ManocCRUD/Form.pm',
    't/00-compile.t',
    't/01app.t',
    't/controller/building.t',
    't/controller/device.t',
    't/controller/hwasset.t',
    't/controller/ipnetwork.t',
    't/controller/login.t',
    't/controller/rack.t',
    't/controller/search.t',
    't/controller/server.t',
    't/controller/serverhw.t',
    't/controller/virtualmachine.t',
    't/controller/warehouse.t',
    't/controller/workstation.t',
    't/controller/workstationhw.t',
    't/db_tuplehelper.t',
    't/ipaddress.t',
    't/lib/ManocTest.pm',
    't/lib/ManocTest/MechanizeJson.pm',
    't/lib/ManocTest/Schema.pm',
    't/lib/manoc_test.conf',
    't/manifold.t',
    't/model/device.t',
    't/model/hwasset.t',
    't/model/ipblock_ipnetwork.t',
    't/model/rack.t',
    't/model/serverhw.t',
    't/model/warehouse.t',
    't/model/workstation.t',
    't/model/workstationhw.t',
    't/model_ManocDB.t',
    't/netwalker.t',
    't/search.t',
    't/search_query.t',
    't/utils_validate.t',
    't/view_CSV.t',
    't/view_TT.t'
);

notabs_ok($_) foreach @files;
done_testing;
